$typographySchema: (
  headline1: (
    font: $font--primary,
    font-weight: 400,
    fontMobile: 2.6rem,
    fontDesktop: 4.8rem,
    lineHeightMobile: 2.86rem,
    lineHeightDesktop: 5.28rem,
    letterCase: uppercase,
    color: $color--black,
  ),
);

@each $type, $schema in $typographySchema {
  .#{$type} {
    color: map-get($schema, 'color');
    font-family: map-get($schema, 'font');
    font-weight: map-get($schema, 'font-weight');
    text-transform: map-get($schema, 'letterCase');

    font-size: fluid-type(map-get($schema, 'fontMobile'), map-get($schema, 'fontDesktop'));
    line-height: fluid-type(
      map-get($schema, 'lineHeightMobile'),
      map-get($schema, 'lineHeightDesktop')
    );
  }
}
